import { CommonModule } from '@angular/common';
import { Component } from '@angular/core';
import { IonButtons, IonNote } from '@ionic/angular/standalone';
import { IonAvatar, IonButton, IonContent, IonHeader, IonItem, IonLabel, IonList, IonTitle, IonToolbar } from '@ionic/angular/standalone';
import { IonIcon } from '@ionic/angular/standalone';

@Component({
  selector: 'app-show-chat',
  standalone: true,
  templateUrl: './show-chat.component.html',
  imports: [IonHeader,IonToolbar,IonTitle,IonButton,IonIcon,IonContent,IonList,IonItem,IonAvatar,IonLabel,IonButtons,IonNote,CommonModule  ],
})
export class ShowChatComponent {
  chats = [
    {
      name: '康康',
      lastMessage: '[动画表情]',
      lastMessageTime: new Date(),
      avatarUrl: 'assets/img/3.png',
    },
    {
      name: 'handsome sheep',
      lastMessage: '你睡了吗？',
      lastMessageTime: new Date(),
      avatarUrl: 'assets/img/4.png',
    },
    {
      name: '小熊',
      lastMessage: '网络一线牵，珍惜这段缘',
      lastMessageTime: new Date(),
      avatarUrl: 'assets/img/5.png',
    },
    {
      name: '涛涛',
      lastMessage: '你吃了吗？',
      lastMessageTime: new Date(),
      avatarUrl: 'assets/img/7.png',
    },
    {
      name: 'Peter',
      lastMessage: '不是哥们',
      lastMessageTime: new Date(),
      avatarUrl: 'assets/img/8.png',
    },
    {
      name: '惊鸿戏梦',
      lastMessage: '111',
      lastMessageTime: new Date(),
      avatarUrl: 'assets/img/9.png',
    },
  ];

  openChat(chat: any) {
    console.log('打开聊天:', chat);
    // 这里可以添加打开聊天的逻辑
  }

  onNewChat() {
    console.log('新聊天');
    // 这里可以添加新聊天的逻辑
  }
}