import { ShowNovelComponent } from './../show-novel/show-novel.component';
import { Component } from '@angular/core';
import { IonHeader, IonToolbar, IonTitle, IonContent,IonButton } from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { Router } from '@angular/router'; 

@Component({

  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  standalone: true,
  imports: [IonHeader, IonToolbar, IonTitle, IonContent,ShowNovelComponent, ExploreContainerComponent,IonButton],
})
export class Tab1Page {
 
   constructor(private router: Router) {}

  
   goToPage1(){
    this.router.navigate(['/tabs/inquiry']);

  
   }
  goToPage2(){
    this.router.navigate(['/tabs/picture'])
  }
  goToPage3(){
    this.router.navigate(['/tabs/show'])
  }
  goToPage4(){
    this.router.navigate(['/tabs/chat'])
  }
  
 
}
